GraphicSchemaObject
Keywords: uk.ac.ic.doc.automed.gui.GraphicSchemaObject,GraphicSchemaObject class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.gui
Class GraphicSchemaObject

    java.lang.Object
      |
      +--uk.ac.ic.doc.automed.gui.GraphicSchemaObject

All Implemented Interfaces:
  uk.ac.ic.doc.automed.gui.GraphicObject

public class GraphicSchemaObject
extends java.lang.Object
implements uk.ac.ic.doc.automed.gui.GraphicObject

Constructor Summary
`GraphicSchemaObject(uk.ac.ic.doc.automed.gui.GraphicManager manager, Schema finalSchema, SchemaObject schemaObject)`

Method Summary
`boolean` | `contains(java.awt.Point p)`
`java.awt.Rectangle` | `getBoundingBox()`
`ConstructWithModelingProgram` | `getConstructType()`
`SchemaObject` | `getGeneralConstruct()`
`java.awt.Point` | `getLocation()`
`uk.ac.ic.doc.automed.gui.GraphicManager` | `getManager()`
`SchemaObject` | `getReferencedConstruct()`
`SchemaObject[]` | `getReferencedConstructs()`
`SchemaObject` | `getReferencedField()`
`SchemaObject` | `getReferencedTable()`
`uk.ac.ic.doc.automed.gui.SchemaShape` | `getShape()`
`SchemaObject[]` | `getSpecialConstructs()`
`SchemaObject` | `getTableForeignKeyPoints()`
`SchemaObject` | `getTableWithForeignKey()`
`java.lang.String` | `getValue()`
`boolean` | `isPrimaryKeyForeignKey()`
`void` | `setLocation(java.awt.Point p)`
`uk.ac.ic.doc.automed.gui.SchemaShape` | `setShape(uk.ac.ic.doc.automed.gui.SchemaShape shape)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### GraphicSchemaObject

    public GraphicSchemaObject(uk.ac.ic.doc.automed.gui.GraphicManager manager,
                               Schema finalSchema,
                               SchemaObject schemaObject)

Method Detail

### setLocation

    public void setLocation(java.awt.Point p)

  Specified by:
    `setLocation` in interface `uk.ac.ic.doc.automed.gui.GraphicObject`

### getLocation

    public java.awt.Point getLocation()

  Specified by:
    `getLocation` in interface `uk.ac.ic.doc.automed.gui.GraphicObject`

### getReferencedTable

    public SchemaObject getReferencedTable()
                                    throws AutoRepException,
                                           AutoMedException,
                                           DataSourceRepositoryException,
                                           SchemaTransformationRepositoryException,
                                           java.sql.SQLException,
                                           java.io.IOException,
                                           ModelDefinitionsRepositoryException

    `AutoRepException`
    `AutoMedException`
    `DataSourceRepositoryException`
    `SchemaTransformationRepositoryException`
    `java.sql.SQLException`
    `java.io.IOException`
    `ModelDefinitionsRepositoryException`

### getReferencedField

    public SchemaObject getReferencedField()
                                    throws AutoRepException,
                                           AutoMedException,
                                           DataSourceRepositoryException,
                                           SchemaTransformationRepositoryException,
                                           java.sql.SQLException,
                                           java.io.IOException,
                                           ModelDefinitionsRepositoryException

    `AutoRepException`
    `AutoMedException`
    `DataSourceRepositoryException`
    `SchemaTransformationRepositoryException`
    `java.sql.SQLException`
    `java.io.IOException`
    `ModelDefinitionsRepositoryException`

### getTableWithForeignKey

    public SchemaObject getTableWithForeignKey()
                                        throws AutoRepException,
                                               AutoMedException,
                                               DataSourceRepositoryException,
                                               SchemaTransformationRepositoryException,
                                               java.sql.SQLException,
                                               java.io.IOException,
                                               ModelDefinitionsRepositoryException

    `AutoRepException`
    `AutoMedException`
    `DataSourceRepositoryException`
    `SchemaTransformationRepositoryException`
    `java.sql.SQLException`
    `java.io.IOException`
    `ModelDefinitionsRepositoryException`

### getTableForeignKeyPoints

    public SchemaObject getTableForeignKeyPoints()
                                          throws AutoRepException,
                                                 AutoMedException,
                                                 DataSourceRepositoryException,
                                                 SchemaTransformationRepositoryException,
                                                 java.sql.SQLException,
                                                 java.io.IOException,
                                                 ModelDefinitionsRepositoryException

    `AutoRepException`
    `AutoMedException`
    `DataSourceRepositoryException`
    `SchemaTransformationRepositoryException`
    `java.sql.SQLException`
    `java.io.IOException`
    `ModelDefinitionsRepositoryException`

### isPrimaryKeyForeignKey

    public boolean isPrimaryKeyForeignKey()
                                   throws AutoRepException,
                                          AutoMedException,
                                          DataSourceRepositoryException,
                                          SchemaTransformationRepositoryException,
                                          java.sql.SQLException,
                                          java.io.IOException,
                                          ModelDefinitionsRepositoryException

    `AutoRepException`
    `AutoMedException`
    `DataSourceRepositoryException`
    `SchemaTransformationRepositoryException`
    `java.sql.SQLException`
    `java.io.IOException`
    `ModelDefinitionsRepositoryException`

### getSpecialConstructs

    public SchemaObject[] getSpecialConstructs()
                                        throws AutoRepException,
                                               AutoMedException,
                                               DataSourceRepositoryException,
                                               SchemaTransformationRepositoryException,
                                               java.sql.SQLException,
                                               java.io.IOException,
                                               ModelDefinitionsRepositoryException

    `AutoRepException`
    `AutoMedException`
    `DataSourceRepositoryException`
    `SchemaTransformationRepositoryException`
    `java.sql.SQLException`
    `java.io.IOException`
    `ModelDefinitionsRepositoryException`

### getGeneralConstruct

    public SchemaObject getGeneralConstruct()
                                     throws AutoRepException,
                                            AutoMedException,
                                            DataSourceRepositoryException,
                                            SchemaTransformationRepositoryException,
                                            java.sql.SQLException,
                                            java.io.IOException,
                                            ModelDefinitionsRepositoryException

    `AutoRepException`
    `AutoMedException`
    `DataSourceRepositoryException`
    `SchemaTransformationRepositoryException`
    `java.sql.SQLException`
    `java.io.IOException`
    `ModelDefinitionsRepositoryException`

### getReferencedConstructs

    public SchemaObject[] getReferencedConstructs()
                                           throws AutoRepException

    `AutoRepException`

### getReferencedConstruct

    public SchemaObject getReferencedConstruct()
                                        throws AutoRepException

    `AutoRepException`

### getValue

    public java.lang.String getValue()

### getBoundingBox

    public java.awt.Rectangle getBoundingBox()

  Specified by:
    `getBoundingBox` in interface `uk.ac.ic.doc.automed.gui.GraphicObject`

### contains

    public boolean contains(java.awt.Point p)

  Specified by:
    `contains` in interface `uk.ac.ic.doc.automed.gui.GraphicObject`

### getConstructType

    public ConstructWithModelingProgram getConstructType()

  Specified by:
    `getConstructType` in interface `uk.ac.ic.doc.automed.gui.GraphicObject`

### setShape

    public uk.ac.ic.doc.automed.gui.SchemaShape setShape(uk.ac.ic.doc.automed.gui.SchemaShape shape)

### getShape

    public uk.ac.ic.doc.automed.gui.SchemaShape getShape()

### getManager

    public uk.ac.ic.doc.automed.gui.GraphicManager getManager()

### toString

    public java.lang.String toString()

  Specified by:
    `toString` in interface `uk.ac.ic.doc.automed.gui.GraphicObject`
  Overrides:
    `toString` in class `java.lang.Object`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD